Ogre::D3D9ResourceManager Class Reference

`#include <OgreD3D9ResourceManager.h>`

Inheritance diagram for Ogre::D3D9ResourceManager:
[legend]

List of all members.

## Public Member Functions

void | notifyOnDeviceCreate (IDirect3DDevice9 *d3d9Device)
void | notifyOnDeviceDestroy (IDirect3DDevice9 *d3d9Device)
void | notifyOnDeviceLost (IDirect3DDevice9 *d3d9Device)
void | notifyOnDeviceReset (IDirect3DDevice9 *d3d9Device)
void | lockDeviceAccess ()
void | unlockDeviceAccess ()
| D3D9ResourceManager ()
| ~D3D9ResourceManager ()
void | setCreationPolicy (D3D9ResourceCreationPolicy creationPolicy)
D3D9ResourceCreationPolicy | getCreationPolicy () const
void | setAutoHardwareBufferManagement (bool autoManagement)
| Set/Get automatic hardware buffers management.
bool | getAutoHardwareBufferManagement () const
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info
void * | operator new (size_t sz)
void * | operator new (size_t sz, void *ptr)
| placement operator new
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info
void * | operator new[] (size_t sz)
void | operator delete (void *ptr)
void | operator delete (void *ptr, void *)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)

## Protected Types

typedef set< D3D9Resource * >::type | ResourceContainer
typedef ResourceContainer::iterator | ResourceContainerIterator

## Protected Member Functions

void | _notifyResourceCreated (D3D9Resource *pResource)
void | _notifyResourceDestroyed (D3D9Resource *pResource)

## Protected Attributes

ResourceContainer | mResources
D3D9ResourceCreationPolicy | mResourceCreationPolicy
long | mDeviceAccessLockCount
bool | mAutoHardwareBufferManagement

## Friends

class | D3D9Resource

## Detailed Description

Definition at line 53 of file OgreD3D9ResourceManager.h.

## Member Typedef Documentation

typedef set<D3D9Resource*>::type Ogre::D3D9ResourceManager::ResourceContainer`[protected]`

Definition at line 101 of file OgreD3D9ResourceManager.h.

typedef ResourceContainer::iterator Ogre::D3D9ResourceManager::ResourceContainerIterator`[protected]`

Definition at line 102 of file OgreD3D9ResourceManager.h.

## Constructor & Destructor Documentation

Ogre::D3D9ResourceManager::D3D9ResourceManager | ( |  | ) |

Ogre::D3D9ResourceManager::~D3D9ResourceManager | ( |  | ) |

## Member Function Documentation

void Ogre::D3D9ResourceManager::_notifyResourceCreated | ( | D3D9Resource * | pResource | ) | `[protected]`

void Ogre::D3D9ResourceManager::_notifyResourceDestroyed | ( | D3D9Resource * | pResource | ) | `[protected]`

bool Ogre::D3D9ResourceManager::getAutoHardwareBufferManagement | ( |  | ) | const

Definition at line 93 of file OgreD3D9ResourceManager.h.

D3D9ResourceCreationPolicy Ogre::D3D9ResourceManager::getCreationPolicy | ( |  | ) | const

void Ogre::D3D9ResourceManager::lockDeviceAccess | ( |  | ) |

void Ogre::D3D9ResourceManager::notifyOnDeviceCreate | ( | IDirect3DDevice9 * | d3d9Device | ) |

void Ogre::D3D9ResourceManager::notifyOnDeviceDestroy | ( | IDirect3DDevice9 * | d3d9Device | ) |

void Ogre::D3D9ResourceManager::notifyOnDeviceLost | ( | IDirect3DDevice9 * | d3d9Device | ) |

void Ogre::D3D9ResourceManager::notifyOnDeviceReset | ( | IDirect3DDevice9 * | d3d9Device | ) |

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) | `[inherited]`

Definition at line 95 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |
| ) |  | `[inherited]`

Definition at line 101 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  | `[inherited]`

Definition at line 107 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) | `[inherited]`

Definition at line 112 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  | `[inherited]`

Definition at line 118 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  | `[inherited]`

operator new, with debug line info

Definition at line 67 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) | `[inherited]`

Definition at line 72 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr
| ) |  | `[inherited]`

placement operator new

Definition at line 78 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  | `[inherited]`

array operator new, with debug line info

Definition at line 85 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) | `[inherited]`

Definition at line 90 of file OgreMemoryAllocatedObject.h.

void Ogre::D3D9ResourceManager::setAutoHardwareBufferManagement | ( | bool | autoManagement | ) |

Set/Get automatic hardware buffers management.

This has affect only when multiple devices involved during the runtime. When enabled, an explicit system memory backup is created for buffers with no read caps - so in case of device swaps the content of the buffers can be restored from this copy. The default is false in order to reduce system memory consumption.

Definition at line 92 of file OgreD3D9ResourceManager.h.

void Ogre::D3D9ResourceManager::setCreationPolicy | ( | D3D9ResourceCreationPolicy | creationPolicy | ) |

void Ogre::D3D9ResourceManager::unlockDeviceAccess | ( |  | ) |

## Friends And Related Function Documentation

friend class D3D9Resource`[friend]`

Definition at line 97 of file OgreD3D9ResourceManager.h.

## Member Data Documentation

bool Ogre::D3D9ResourceManager::mAutoHardwareBufferManagement`[protected]`

Definition at line 120 of file OgreD3D9ResourceManager.h.

long Ogre::D3D9ResourceManager::mDeviceAccessLockCount`[protected]`

Definition at line 119 of file OgreD3D9ResourceManager.h.

D3D9ResourceCreationPolicy Ogre::D3D9ResourceManager::mResourceCreationPolicy`[protected]`

Definition at line 118 of file OgreD3D9ResourceManager.h.

ResourceContainer Ogre::D3D9ResourceManager::mResources`[protected]`

Definition at line 117 of file OgreD3D9ResourceManager.h.

The documentation for this class was generated from the following file:

- OgreD3D9ResourceManager.h

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:49